GMT-MUSIC-BMR-CALC-COVG-HELPER(1p)

gmt music bmr calc-covg-helper

NAME
gmt music bmr calc-covg-helper - Uses calcRoiCovg.c to count covered bases per-gene for a tumor-normal pair of BAMs.

VERSION
This document describes gmt music bmr calc-covg-helper version 0.04 (2016-01-01 at 23:10:19)

SYNOPSIS
gmt music bmr calc-covg-helper --roi-file=? --reference-sequence=? --normal-tumor-bam-pair=? [--output-file=?] [--output-dir=?] [--normal-min-depth=?] [--tumor-min-depth=?] [--min-mapq=?]

General usage:

 ... music bmr calc-covg-helper \
    --normal-tumor-bam-pair "sample-name path/to/normal_bam path/to/tumor_bam" \
    --reference-sequence input_dir/all_sequences.fa \
    --output-file output_file \
    --roi-file input_dir/all_coding_exons.tsv

REQUIRED ARGUMENTS

roi-file  Text
    Tab delimited list of ROIs [chr start stop gene_name] (See Description)

reference-sequence  Text
    Path to reference sequence in FASTA format

normal-tumor-bam-pair  Text
    Tab delimited line with sample name, path to normal bam file, and path to tumor bam file (See Description)

OPTIONAL ARGUMENTS

output-file  Text
    Output file path. Specify either output-file or output-directory.

output-dir  Text
    Output directory path. Specify either output-file or output-directory

normal-min-depth  Integer
    The minimum read depth to consider a Normal BAM base as covered

    Default value '6' if not specified

tumor-min-depth  Integer
    The minimum read depth to consider a Tumor BAM base as covered

    Default value '8' if not specified

min-mapq  Integer
    The minimum mapping quality of reads to consider towards read depth counts

    Default value '20' if not specified

DESCRIPTION
This script counts bases with sufficient coverage in the ROIs of each gene in the given pair of tumor-normal BAM files and categorizes them into - AT, CG (non-CpG), and CpG counts. It also adds up these base-counts across all ROIs of each gene in the sample, but covered bases that lie within overlapping ROIs are not counted more than once towards these total counts.

ARGUMENTS

--roi-file
    The regions of interest (ROIs) of each gene are typically regions targeted for sequencing or are merged exon loci (from multiple transcripts) of genes with 2-bp flanks (splice junctions). ROIs from the same chromosome must be listed adjacent to each other in this file. This allows the underlying C-based code to run much more efficiently and avoid re-counting bases seen in overlapping ROIs (for overall covered base counts). For per-gene base counts, an overlapping base will be counted each time it appears in an ROI of the same gene. To avoid this, be sure to merge together overlapping ROIs of the same gene. BEDtools' mergeBed can help if used per gene.
--reference-sequence
    The reference sequence in FASTA format. If a reference sequence index is not found next to this file (a .fai file), it will be created.
--normal-tumor-bam-pair
    "sample-name path/to/normal_bam path/to/tumor_bam"
--output-file
    Specify an output file where the per-ROI covered base counts will be written

LICENSE
Copyright (C) 2010-2011 Washington University in St. Louis.

It is released under the Lesser GNU Public License (LGPL) version 3. See the associated LICENSE file in this distribution.

AUTHORS
 Cyriac Kandoth, Ph.D.

SEE ALSO
genome-music-bmr(1), genome-music(1), genome(1)